package com.agenda.model;
// Generated 12-12-2019 01:41:24 PM by Hibernate Tools 5.2.12.Final

import java.util.ArrayList;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * TiposUsuarios generated by hbm2java
 */
@Entity
@Table(name = "tipos_usuarios", catalog = "agenda")
@SuppressWarnings("serial")
public class TiposUsuarios implements java.io.Serializable {

	private int id;
	private String tipo;
	private List<Usuarios> usuarioses = new ArrayList<Usuarios>();

	public TiposUsuarios() {
	}

	public TiposUsuarios(int id, String tipo) {
		this.id = id;
		this.tipo = tipo;
	}

	public TiposUsuarios(int id, String tipo, List<Usuarios> usuarioses) {
		this.id = id;
		this.tipo = tipo;
		this.usuarioses = usuarioses;
	}

	@Id

	@Column(name = "id", unique = true, nullable = false)
	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	@Column(name = "tipo", nullable = false, length = 20)
	public String getTipo() {
		return this.tipo;
	}

	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "tiposUsuarios")
	public List<Usuarios> getUsuarioses() {
		return this.usuarioses;
	}

	public void setUsuarioses(List<Usuarios> usuarioses) {
		this.usuarioses = usuarioses;
	}

}
